gSOAP UDDI v2: uddi2__get_USCOREauthToken Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__get_USCOREauthToken Class Reference

Schema urn:uddi-org:api_v2:"get_authToken". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__get_USCOREauthToken (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREauthToken (struct soap *, const char *userid, const char *passwd)
| Member declared in uddi2-typemap.dat.
uddi2__authToken * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
char * | generic
| Attribute generic of type xs:string.
char * | userID
| Attribute userID of type xs:string.
char * | cred
| Attribute cred of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"get_authToken".

Represents a request to obtain an authorization token, which is represented by the uddi2__authToken class.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137739

## Constructor & Destructor Documentation

uddi2__get_USCOREauthToken::uddi2__get_USCOREauthToken | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the get_USCOREauthToken class.

uddi2__get_USCOREauthToken::uddi2__get_USCOREauthToken | ( | struct soap * | soap,
|  | const char * | userid,
|  | const char * | passwd
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | userid | the user ID string
  `[in]` | passwd | the password string
Creates an instance of the get_USCOREauthToken class using the specified user ID and password.

## Member Function Documentation

uddi2__authToken * uddi2__get_USCOREauthToken::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__authToken object or NULL on error Send a request to a UDDI service to get a authorization token given a user ID and password.

## Member Data Documentation

char* uddi2__get_USCOREauthToken::cred

| Attribute cred of type xs:string. Required attribute

char* uddi2__get_USCOREauthToken::generic

| Attribute generic of type xs:string. Required attribute

struct soap* uddi2__get_USCOREauthToken::soap

| A handle to the soap struct context that manages this class instance.

char* uddi2__get_USCOREauthToken::userID

| Attribute userID of type xs:string. Required attribute

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h